SoIntersectingPrimitive(3)

NAME
SoIntersectingPrimitive - Struct with collision information.

SYNOPSIS

#include <Inventor/collision/SoIntersectionDetectionAction.h>

  Public Types
enum PrimitiveType { SEGMENT = 2, LINE_SEGMENT = 2, TRIANGLE = 3 }

  Public Attributes
SoPath * path
enum SoIntersectingPrimitive::PrimitiveType type
SbVec3f vertex [3]
SbVec3f xf_vertex [3]

Detailed Description

Struct with collision information. This struct is passed to the collision callback registered by the application programmer. It contains information about which primitives are intersecting each other.

Author

Generated automatically by Doxygen for Coin from the source code.